Bug 442154 - yum info afflib halts with traceback.
yum info afflib halts with traceback.
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-04-11 23:52 EDT by archimerged Ark submedes
Modified: 2014-01-21 18:02 EST (History)
5 users (show)

See Also:
Fixed In Version: 3.2.16-2.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-30 12:57:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description archimerged Ark submedes 2008-04-11 23:52:08 EDT
Description of problem:
yum info afflib halts with traceback.

Version-Release number of selected component (if applicable):

How reproducible:
every time

Steps to Reproduce:
1. yum info afflib
Actual results:

yum halts with traceback just before printing a line containing a Unicode
registered trademark sign.

Expected results:

yum-3.2.12-4.fc9.noarch gets this result:
Description: AFF® is an open and extensible file format designed to store disk
images and associated metadata. afflib is
           : library for support of the Advanced Forensic Format (AFF).

Additional info:

[alpha@alpha ~]$ yum info afflib
Loaded plugins: refresh-packagekit
Available Packages
Name       : afflib
Arch       : i386
Version    : 3.1.3
Release    : 4.fc9
Size       : 156 k
Repo       : rawhide
Summary    : Library to support the Advanced Forensic Format
URL        : http://www.afflib.org
License    : BSD with advertising
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 236, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 111, in main
    result, resultmsgs = base.doCommands()
  File "/usr/share/yum-cli/cli.py", line 309, in doCommands
    return self.yum_cli_commands[self.basecmd].doCommand(self, self.basecmd,
  File "/usr/share/yum-cli/yumcommands.py", line 214, in doCommand
    rap = base.listPkgs(ypl.available, _('Available Packages'), basecmd)
  File "/usr/share/yum-cli/output.py", line 337, in listPkgs
  File "/usr/share/yum-cli/output.py", line 308, in infoOutput
    print self.fmtKeyValFill(_("Description: "), enc(pkg.description))
  File "/usr/share/yum-cli/output.py", line 256, in fmtKeyValFill
    val = str(val)
UnicodeEncodeError: 'ascii' codec can't encode character u'\xae' in position 3:
ordinal not in range(128)
[alpha@alpha ~]$ rpm -q yum
[alpha@alpha ~]$ rpm -qf /usr/share/yum-cli/yummain.py
[alpha@alpha ~]$
Comment 1 Seth Vidal 2008-04-14 16:35:53 EDT
could you please test this package


Comment 2 archimerged Ark submedes 2008-04-14 19:46:13 EDT
Works for me.
Comment 3 Bug Zapper 2008-05-14 05:20:47 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:

Note You need to log in before you can comment on or make changes to this bug.